---
lang: en
title: 'API docs: openapi-spec-builder.operationspecbuilder.withparameter'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/openapi-spec-builder
permalink: /doc/en/lb4/apidocs.openapi-spec-builder.operationspecbuilder.withparameter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-spec-builder](./openapi-spec-builder.md) &gt; [OperationSpecBuilder](./openapi-spec-builder.operationspecbuilder.md) &gt; [withParameter](./openapi-spec-builder.operationspecbuilder.withparameter.md)

## OperationSpecBuilder.withParameter() method

Describe one more parameters accepted by the operation. Note that parameters are positional in OpenAPI Spec, therefore the first call of `withParameter` defines the first parameter, the second call defines the second parameter, etc.

**Signature:**

```typescript
withParameter(...parameterSpecs: ParameterObject[]): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  parameterSpecs | ParameterObject\[\] |  |

**Returns:**

this


